# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['nonebot_plugin_auto_teenstudy',
 'nonebot_plugin_auto_teenstudy.resource.crawl']

package_data = \
{'': ['*'],
 'nonebot_plugin_auto_teenstudy': ['data/*',
                                   'resource/*',
                                   'resource/area/*',
                                   'resource/dxx_bg/*',
                                   'resource/endpic/*',
                                   'resource/font/*',
                                   'resource/images/*',
                                   'resource/js/*',
                                   'resource/own_bg_hb/*']}

install_requires = \
['Pillow>=9.4.0,<10.0.0',
 'anti-useragent>=1.0.10,<2.0.0',
 'beautifulsoup4>=4.11.2,<5.0.0',
 'bs4>=0.0.1,<0.0.2',
 'fastapi',
 'httpx>=0.23.3,<0.24.0',
 'lxml>=4.9.2,<5.0.0',
 'nonebot-adapter-onebot>=2.2.1,<3.0.0',
 'nonebot-plugin-apscheduler>=0.2.0,<0.3.0',
 'nonebot2>=2.0.0rc3,<3.0.0']

setup_kwargs = {
    'name': 'nonebot-plugin-auto-teenstudy',
    'version': '0.1.8',
    'description': '基于nonebot异步框架的青年大学自动提交插件',
    'long_description': '<div align="center">\n    <img src="https://i.328888.xyz/2023/02/28/z23ho.png" alt="auto_teenstudy.png" border="0" width="500px" height="500px"/>\n    <h1>nonebot_plugin_auto_teenstudy</h1>\n    <b>基于nonebot2的青年大学习自动提交插件，用于自动完成大学习，在后台留下记录，返回完成截图</b>\n    <br/>\n    <a href="https://github.com/ZM25XC/nonebot_plugin_auto_teenstudy/issues"><img alt="GitHub issues" src="https://img.shields.io/github/issues/ZM25XC/nonebot_plugin_auto_teenstudy?style=flat-square"></a>\n    <a href="https://github.com/ZM25XC/nonebot_plugin_auto_teenstudy/network"><img alt="GitHub forks" src="https://img.shields.io/github/forks/ZM25XC/nonebot_plugin_auto_teenstudy?style=flat-square"></a>\n    <a href="https://github.com/ZM25XC/nonebot_plugin_auto_teenstudy/stargazers"><img alt="GitHub stars" src="https://img.shields.io/github/stars/ZM25XC/nonebot_plugin_auto_teenstudy?style=flat-square"></a>\n    <a href="https://pypi.python.org/pypi/nonebot_plugin_auto_teenstudy"><img src="https://img.shields.io/pypi/v/nonebot_plugin_auto_teenstudy?color=yellow" alt="pypi"></a>\n  \t<a href="https://pypi.python.org/pypi/nonebot_plugin_auto_teenstudy">\n    <img src="https://img.shields.io/pypi/dm/nonebot_plugin_auto_teenstudy" alt="pypi download"></a>\n     <a href="https://github.com/ZM25XC/nonebot_plugin_auto_teenstudy">\n    <img src="https://visitor-badge.glitch.me/badge?page_id=https://github.com/ZM25XC/nonebot_plugin_auto_teenstudy" alt="nonebot_plugin_auto_teenstudy"></a>\n\t\t<a href="https://github.com/ZM25XC/nonebot_plugin_auto_teenstudy/blob/main/LICENSE"><img alt="GitHub license" src="https://img.shields.io/github/license/ZM25XC/nonebot_plugin_auto_teenstudy?style=flat-square"></a>\n    <a href="https://jq.qq.com/?_wv=1027&k=NGFEwXyS">\n    <img src="https://img.shields.io/badge/QQ%E7%BE%A4-511173803-orange?style=flat-square" alt="QQ Chat Group">\n  </a>\n  </div>\n\n\n## 提示\n- 本插件为基础版，目前基础版可用地区Web UI版已经全部适配，以后基础版停更，请移步Web UI版\n- Web UI 版添加用户更加方便，兼容性更高，欢迎加入QQ交流群讨论。\n- 仓库地址：https://github.com/ZM25XC/TeenStudy\n\n## 导航\n* [各地区使用方式](#各地区使用方式（已经支持地区）)\n* [参考](#参考)\n* [安装和更新](#安装及更新)\n* [导入插件](#导入插件)\n* [机器人配置](#机器人配置)\n* [功能列表](#功能列表)\n* [提醒](#提醒)\n* [说明](#说明)\n* [ToDo](#ToDo)\n* [更新日志](#更新日志)\n\n\n## 各地区使用方式（已经支持地区）\n\n- [江西地区](./nonebot_plugin_auto_teenstudy/resource/area/江西地区.md)\n- [湖北地区](./nonebot_plugin_auto_teenstudy/resource/area/湖北地区.md)\n- [浙江地区](./nonebot_plugin_auto_teenstudy/resource/area/浙江地区.md)\n- [安徽地区](./nonebot_plugin_auto_teenstudy/resource/area/安徽地区.md)\n- [山东地区](./nonebot_plugin_auto_teenstudy/resource/area/山东地区.md)\n- [四川地区](./nonebot_plugin_auto_teenstudy/resource/area/四川地区.md)\n- [河南地区](./nonebot_plugin_auto_teenstudy/resource/area/河南地区.md)\n- [江苏地区](./nonebot_plugin_auto_teenstudy/resource/area/江苏地区.md)\n- [上海地区](./nonebot_plugin_auto_teenstudy/resource/area/上海地区.md)\n- [重庆地区](./nonebot_plugin_auto_teenstudy/resource/area/重庆地区.md)\n\n**其他地区努力适配中**\n\n## 参考\n\n- [江西共青团自动提交](https://github.com/XYZliang/JiangxiYouthStudyMaker)\n\n- [青春湖北自动提交](https://github.com/Samueli924/TeenStudy)\n\n- [28位openid随机生成和抓包](https://hellomango.gitee.io/mangoblog/2021/09/26/other/%E9%9D%92%E5%B9%B4%E5%A4%A7%E5%AD%A6%E4%B9%A0%E6%8A%93%E5%8C%85/)\n- [定时推送大学习答案，完成截图](https://github.com/ayanamiblhx/nonebot_plugin_youthstudy)\n##  安装及更新\n\n1. 使用`git clone https://github.com/ZM25XC/nonebot_plugin_auto_teenstudy.git`指令克隆本仓库或下载压缩包文件\n2. 使用`pip install nonebot-plugin-auto-teenstudy`来进行安装,使用`pip install nonebot-plugin-auto-teenstudy -U`进行更新\n\n## 导入插件\n**使用第一种安装方式**\n\n- 将`nonebot_plugin_auto_teenstudy`放在nb的`plugins`目录下，运行nb机器人即可\n\n- 文件结构如下\n\n    ```py\n    📦 AweSome-Bot\n    ├── 📂 awesome_bot\n    │   └── 📂 plugins\n    |       └── 📂 nonebot_plugin_auto_teenstudy\n    |           └── 📜 __init__.py\n    ├── 📜 .env\n    ├── 📜 .env.dev\n    ├── 📜 .env.prod\n    ├── 📜 .gitignore\n    ├── 📜 docker-compose.yml\n    ├── 📜 Dockerfile\n    ├── 📜 pyproject.toml\n    └── 📜 README.md\n    ```\n\n    \n\n**使用第二种安装方式**\n- 在`pyproject.toml`里的`[tool.nonebot]`中添加`plugins = ["nonebot_plugin_auto_teenstudy"]`\n\n\n## 机器人配置\n\n- 在nonebot的.env配置文件中设置好超管账号\n\n  ```py\n  SUPERUSERS=[""]\n  ```\n  \n  \n\n\n## 功能列表\n|            指令            |                 指令格式                  |                             说明                             |\n| :------------------------: | :---------------------------------------: | :----------------------------------------------------------: |\n|         添加大学习         |     添加大学习#地区#json格式用户信息      |     各地区的json格式用户信息不同，详细查看各地区使用方式     |\n|         我的大学习         |                我的大学习                 |                         查询个人信息                         |\n|         提交大学习         |                提交大学习                 |                      提交最新一期大学习                      |\n|           大学习           |            大学习、青年大学习             |                  获取最新一期青年大学习答案                  |\n|          完成截图          |   完成截图、大学习截图、大学习完成截图    |          获取最新一期青年大学习完成截图（带状态栏）          |\n|           查组织           | 查组织#地区#学校#学院名称+团委#团支部名称 |           江西、浙江地区可使用，用于查询团支部nid            |\n|        个人信息截图        |        个人信息截图、青春湖北截图         |                湖北地区使用，获取个人信息截图                |\n|   开启（关闭）大学习推送   |          开启（关闭）大学习推送           |                开启（关闭）大学习检查更新推送                |\n| 开启（关闭）自动提交大学习 |        开启（关闭）自动提交大学习         |               开启（关闭）自动提交大学习 功能                |\n|          更改信息          |          更改信息 通知方式 群聊           |        可更改项目：openid、token 、通知方式、通知群聊        |\n|         大学习帮助         |     大学习帮助、大学习功能、dxx_help      |                       查看插件详细功能                       |\n| 开启（关闭）大学习图片回复 |        开启（关闭）大学习图片回复         |           插件主人指令、插件回复方式，默认图片回复           |\n|       设置大学习配置       | 设置大学习配置#QQ号#地区#json格式用户信息 |   插件主人指令，添加用户，json格式用户信息同添加大学习指令   |\n|         删除大学习         |              删除大学习#QQ号              |                  插件主人指令，删除个人信息                  |\n|     查看大学习用户列表     |            查看大学习用户列表             |                插件主人指令，查看插件用户列表                |\n|       查看大学习用户       |            查看大学习用户#QQ号            |                插件主人指令，查看用户详细信息                |\n|         完成大学习         |              完成大学习#QQ号              |            插件主人（团支书）指令，提交用户大学习            |\n| 全局开启（关闭）大学习推送 |        全局开启（关闭）大学习推送         |         插件主人指令，用于开启（关闭）大学习更新推送         |\n|    添加（删除）推送好友    |         添加（删除）推送好友#QQ号         |      插件主人指令，将用户加入（移除）大学习更新推送列表      |\n|    添加（删除）推送群聊    |         添加（删除）推送群聊#群号         |      插件主人指令，将群聊加入（移除）大学习更新推送列表      |\n|  查询推送群聊（好友）列表  |         查询推送群聊（好友）列表          |       插件主人指令，查看大学习更新推送群聊（好友）列表       |\n|         更新大学习         |                更新大学习                 |      插件主人指令，用于手动更新青年大学习答案和完成截图      |\n|         推送大学习         |                推送大学习                 |              插件主人指令，用于手动启动更新推送              |\n|          一键提交          |           一键提交、全员大学习            | 插件主人（团支书）指令，一键提交所有（团支部）成员大学习，暂未解决ip池问题 |\n|        执行自动提交        |               执行自动提交                |           插件主人指令，手动启动自动提交大学习功能           |\n|        更改用户信息        |     更改用户信息#QQ号# 通知方式 群聊      | 插件主人指令，修改用户信息，可更改项目：openid、token 、通知方式、通知群聊 |\n|          一键提醒          |                 一键提醒                  |    插件主人（团支书）指令，提醒未完成大学习成员完成大学习    |\n|          一键查询          |                 一键查询                  |          插件主人（团支书）指令，查询大学习完成情况          |\n\n\n\n\n## 提醒\n\n- 本插件需要安装nonebot官方定时插件`pip install nonebot-plugin-apscheduler`\n- 本插件只适配高校，其他需要使用请前往另一仓库根据提交源码自行修改\n- 不会抓包请看参考\n- 需要cookie(token)的地区，抓取到cookie(token)后，请尽量别点进官方公众号，以免cookie(token)刷新\n- 绝大部分地区的学校、学院和团支部名称不涉及提交，仅作为定位和标记身份。\n- [各地区提交源码](https://github.com/ZM25XC/commit_dxx)\n\n## 说明\n\n- 一键提交、一键提醒和一键查询功能维护更新。\n- 一键提醒和一键查询目前只能查询插件内的提交情况，无法查询公众号提交情况（目前已知福建、上海和安徽地区有接口可查询，正在考虑添加此功能），所以意义不大。\n- ip池目前没有啥办法解决，大多地区提交大学习时验证SSL,需要https代理，目前免费的https代理少，不稳定。\n- 时间精力有限，目前只维护湖北和江西两个地区，其他地区出问题请提交Issues,我找个时间修，需要增加地区可以提交Pull requests\n- 觉得项目不错，不妨点个stars.\n\n## ToDo\n\n- [ ] 开发公众号统一推送\n- [ ] 增加ip池，防止多次用同一ip导致封ip\n- [ ] 增加更多地区支持\n- [ ] 优化 Bot\n- [ ] ~~逐步升级成群管插件~~\n\n## 更新日志\n\n### 2023/03/18\n\n- 屏蔽湖南地区\n- 屏蔽贵州地区\n- 屏蔽吉林地区\n- 修复重庆地区提交失败问题\n\n### 2023/03/01\n\n- 屏蔽辽宁地区\n- 修改依赖，解决依赖冲突问题\n- 更新江西地区团支部数据\n- 修复江西地区提交失败问题\n\n\n### 2022/09/25\n\n- 增加湖南地区\n- 增加贵州地区\n- 更新江西地区团支部数据，江西地区的小伙伴请务必更新下插件\n- 修复江西地区个人信息显示错误问题\n- 修改图片回复图片宽度为1920px\n\n### 2022/09/18\n\n- 增加吉林地区\n- 增加重庆地区\n- 修复江西地区提交失败问题\n- 调整检查更新推送间隔，减小风控\n- 同步更新单地区提交源码，需要可前往另一[仓库](https://github.com/ZM25XC/commit_dxx)查看\n\n\n### 2022/09/10\n\n- 增加河南地区\n- 增加江苏地区\n- 增加辽宁地区\n- 增加上海地区\n- 增加修改用户信息功能，指令：`更改用户信息`\n- 增加手动启动自动提交功能，指令：`执行自动提交`\n- 分离自动提交功能，改为每周一11:30执行自动提交青年大学习功能\n- 修复`更新大学习`报错问题\n- 修复`设置大学习配置`指令不生效问题\n- 修复安徽地区提交失败问题\n- 修复湖北地区获取个人信息截图失败问题\n- 修复`完成学习`指令失效问题\n### 2022/09/04\n- 更改添加用户方式（使用json格式添加）\n- 统一用户信息存储格式\n- 添加自动提交大学习功能（默认检测到大学习更新后，10~30分钟以后执行自动提交功能）\n- 增加安徽地区\n- 增加山东地区\n- 增加四川地区\n- 重新添加浙江地区\n- 完成截图状态栏时间延后5~10分钟\n- 支持用户修改部分信息（通知方式、通知群号、团支书QQ等）\n### 2022/06/16\n\n- 因浙江地区一个openid只能提交一个人的大学习，故移除对浙江地区支持。\n- 将不支持使用机器人替多人完成大学习的地区的提交文件上传到另一[仓库](https://github.com/ZM25XC/commit_dxx)，单人使用可前往另一个[仓库](https://github.com/ZM25XC/commit_dxx)进行使用\n- 添加自动检查青年大学习更新并推送功能\n- 添加获取最新一期青年大学习答案和完成截图功能，完成截图功能有手机状态栏，状态栏时间会变。\n- 湖北地区增加获取个人信息截图功能。\n- 增加图片回复功能。\n### 2022/06/05\n\n- 增加浙江地区\n- 将爬取[江西](./nonebot_plugin_auto_teenstudy/resource/crawl/crawjx.py)和[浙江](./nonebot_plugin_auto_teenstudy/resource/crawl/crawlzj.py)地区高校团支部数据（抓取nid）文件上传\n### 2022/06/04\n\n- 将代码上传至pypi，可使用`pip install nonebot-plugin-auto-teenstudy`指令安装本插件\n- 增加已支持地区使用提示\n- 上传基础代码\n- 支持江西和湖北地区自动完成大学习（可在后台留记录）返回完成截图',
    'author': 'ZM25XC',
    'author_email': 'xingling25@qq.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'https://github.com/ZM25XC/nonebot_plugin_auto_teenstudy',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
